<?php

namespace App\Console;

use Illuminate\Support\Facades\Log;
use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        //每日庫存備份
        $schedule
            ->command('daily:save')
            ->dailyAt('09:00')
            ->withoutOverlapping()
            ->before(function () {
                Log::info("daily:save-開始執行");
            })
            ->onSuccess(function () {
                Log::info("daily:save-執行成功");
            })
            ->onFailure(function () {
                Log::info("daily:save-執行失敗");
            });

        //每日檢查
        $schedule
            ->command('daily:check')
            ->dailyAt('10:00')
            ->withoutOverlapping()
            ->before(function () {
                Log::info("daily:check-開始執行");
            })
            ->onSuccess(function () {
                Log::info("daily:check-執行成功");
            })
            ->onFailure(function () {
                Log::info("daily:check-執行失敗");
            });

        // $schedule->command('inspire')
        //          ->hourly();
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__ . '/Commands');

        require base_path('routes/console.php');
    }

    protected function scheduleTimezone()
    {
        return 'Asia/Taipei';
    }
}
