<?php

namespace App\Http\Controllers;

use DateTime;
use App\Exports\BaseExport;
use Illuminate\Http\Request;
use App\Services\BaseService;
use Carbon\Carbon;
use Maatwebsite\Excel\Facades\Excel;

class ExportController extends Controller
{
    private $baseService = null;

    public function __construct(BaseService $baseService)
    {
        $this->baseService = $baseService;
    }

    //匯出Excel
    public function table(Request $request)
    {
        $exportData = json_decode($request->export_data, true);
        $exportName = $request->export_name;
        if (empty($exportData) || empty($exportName)) {
            return redirect()->back();
        } else {
            return Excel::download(new BaseExport($exportData), str_replace(['/', '$', ' '], '', $exportName) . '.' . \Maatwebsite\Excel\Excel::XLSX);
        }
    }

    //廣告花費匯出Excel
    public function ad_cost(Request $request)
    {
        $date = new DateTime($request->export_start_date);
        $exportData = $this->baseService->GetAdCostExport($request);
        $exportName = $date->format('Y-m ') . '廣告花費';
        if (empty($exportData) || empty($exportName)) {
            return redirect()->back();
        } else {
            return Excel::download(new BaseExport($exportData), $exportName . '.' . \Maatwebsite\Excel\Excel::XLSX);
        }
    }

    //匯出特殊訂單
    public function order_sample(Request $request)
    {
        $defaultDate = Carbon::today()->format('Y-m-d');
        $start_date = $request->get('start_date', $defaultDate);
        $end_date = $request->get('end_date', $defaultDate);
        $type = $request->get('type', '1');

        $exportName =  $start_date . '_' .  $end_date;
        switch ($type) {
            case '1':
                $exportName .= '廠務可隨時出貨訂單(A)';
                break;
            case '2':
                $exportName .= '業務同意可以出貨訂單(B)';
                break;
            default:
                return redirect()->back();
                break;
        }
        $exportData = $this->baseService->GetOrderSampleExport($start_date . ' 00:00:00', $end_date . ' 23:59:59', $type);

        return Excel::download(new BaseExport($exportData), $exportName . '.' . \Maatwebsite\Excel\Excel::XLSX);
    }
}
