<?php

namespace App\Http\Controllers;

use App\Exports\BaseExport;
use Illuminate\Http\Request;
use App\Imports\AdCostImport;
use App\Imports\AdProfitImport;
use App\Imports\OrderSampleImport;
use Maatwebsite\Excel\Facades\Excel;

class ImportController extends Controller
{
    //廣告花費匯入
    public function ad_cost(Request $request)
    {
        if ($request->hasFile('file') && $request->file('file')->isValid()) {
            $file = $request->file('file');
            Excel::import(new AdCostImport, $file);
        }
        return redirect()->back();
    }

    //廣告利潤匯入
    public function ad_profit(Request $request)
    {
        $msg = '';
        $data = array();
        $type = $request->type;
        if ($request->hasFile('file') && $request->file('file')->isValid()) {
            $file = $request->file('file');
            $import = new AdProfitImport($type);
            Excel::import($import, $file);
            $msg = $import->msg;
            $data = $import->data;
        } else {
            $msg = '上傳失敗';
        }

        if (empty($msg)) {
            $request->session()->put('ad_profit_data', $data);
            return redirect()->back();
        } else {
            return redirect()->back()->with('status', $msg);
        }
    }

    //特殊訂單匯入
    public function order_sample(Request $request)
    {
        $msg = '';
        $type = $request->type;
        if ($request->hasFile('file') && $request->file('file')->isValid()) {
            $file = $request->file('file');
            $import = new OrderSampleImport($type);
            Excel::import($import, $file);
            $msg = $import->msg;
        } else {
            $msg = '上傳失敗';
        }

        if (empty($msg)) {
            return redirect()->back()->with('status', '匯入成功');
        } else {
            return redirect()->back()->with('status', $msg);
        }
    }
}
