<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Services\BaseService;
use App\Models\ProductionDiary;

class ProductionDiaryController extends Controller
{
    private $baseService = null;

    public function __construct(BaseService $baseService)
    {
        $this->baseService = $baseService;
    }

    //取得日報表
    public function production_diary(Request $request)
    {
        $request->flash();
        $data = $this->baseService->GetProductionDiary($request);

        return view('production_diary', $data);
    }

    //儲存日報表
    public function create_production_diary(Request $request)
    {
        try {
            $production_diary = new ProductionDiary;
            $production_diary->settle_date = $request->get('settle_date', '');
            $production_diary->amount = $request->get('amount', '');
            $production_diary->estimated_time = $production_diary->settle_date . ' ' . $request->get('estimated_time', '') . ':00';
            $production_diary->remark = $request->get('remark', '');
            $production_diary->user_id = $request->get('user_id', '');
            $production_diary->save();
            return redirect()->back()->with('status', '新增成功');
        } catch (\Exception  $ex) {
            return redirect()->back()->with('status', "新增失敗，原因：{$ex->getMessage()}");
        }
    }

    //修改日報表
    public function update_production_diary(Request $request)
    {
        try {
            $id = $request->get('id');
            if (!empty($id)) {
                $production_diary = ProductionDiary::find($id);
                $production_diary->amount = $request->get('amount', '');
                $production_diary->estimated_time = $production_diary->settle_date . ' ' . $request->get('estimated_time', '') . ':00';
                $production_diary->remark = $request->get('remark', '');
                $production_diary->save();
                return redirect()->back()->with('status', '修改成功');
            } else {
                return redirect()->back()->with('status', '修改失敗');
            }
        } catch (\Exception  $ex) {
            return redirect()->back()->with('status', "修改失敗，原因：{$ex->getMessage()}");
        }
    }

    //刪除日報表
    public function delete_production_diary(Request $request)
    {
        try {
            $id = $request->get('id');
            if (!empty($id)) {
                ProductionDiary::destroy($id);
                return redirect()->back()->with('status', '刪除成功');
            } else {
                return redirect()->back()->with('status', '刪除失敗，原因：找不到指定流水號');
            }
        } catch (\Exception $ex) {
            return redirect()->back()->with('status', "刪除失敗，原因：{$ex->getMessage()}");
        }
    }

    //覆核日報表
    public function check_production_diary(Request $request)
    {
        try {
            $id = $request->get('id');
            $signinger = $request->get('signinger');
            $target = ProductionDiary::find($id);
            if (!empty($id) && !empty($signinger) && !empty($target)) {
                $target->signinger = $signinger;
                $target->save();
                return redirect()->back()->with('status', '覆核成功');
            } else {
                return redirect()->back()->with('status', '覆核失敗');
            }
        } catch (\Exception $ex) {
            return redirect()->back()->with('status', "覆核失敗，原因：{$ex->getMessage()}");
        }
    }
}
