<?php

namespace App\Imports;

use Illuminate\Support\Collection;
use Illuminate\Support\Facades\DB;
use Maatwebsite\Excel\Concerns\ToCollection;

class AdCostImport implements ToCollection
{
    public function collection(Collection $rows)
    {
        $datas = array();
        foreach ($rows as $key => $row) {
            if ($key == 0) { //略過標題
                continue;
            }

            $src_date = $row[0];
            $shopee_1 = $row[1];
            $shopee_2 = $row[2];
            $shopee_3 = $row[3];
            $ruten = $row[4];
            $official = $row[5];

            if (empty($src_date) || !is_numeric($shopee_1) || !is_numeric($shopee_2) || !is_numeric($shopee_3) || !is_numeric($ruten) || !is_numeric($official)) {
                continue;
            }

            $datas[] = [
                'src_date' => $src_date,
                'shopee_1' => $shopee_1,
                'shopee_2' => $shopee_2,
                'shopee_3' => $shopee_3,
                'ruten' => $ruten,
                'official' => $official,
            ];
        }
        //寫入資料庫
        if (!empty($datas)) {
            foreach ($datas as $data) {
                DB::connection('mysql')
                    ->table('ad_cost')
                    ->updateOrInsert(
                        ['src_date' => $data['src_date']],
                        $data
                    );
            }
        }
    }
}
