<?php

namespace App\Models;

use App\Traits\Encrypt;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class OrderSampleEdited extends Model
{
    use SoftDeletes;
    use Encrypt;

    protected $connection = 'mysql';
    protected $table = 'order_sample_edited';
    protected $encrypt = [
        'remark',
        'receiver_name',
        'receiver_tel',
        'receiver_city',
        'receiver_district',
        'receiver_postal',
        'receiver_address',
    ];

    public function Main()
    {
        return $this->belongsTo(OrderSampleM::class, 'm_id', 'id');
    }

    protected $fillable = [
        'remark',
        'receiver_name',
        'receiver_tel',
        'receiver_city',
        'receiver_district',
        'receiver_postal',
        'receiver_address',
    ];
}
