<?php

namespace App\Models;

use App\Traits\Encrypt;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class OrderSampleM extends Model
{
    use SoftDeletes;
    use Encrypt;

    protected $connection = 'mysql';
    protected $table = 'order_sample_m';
    protected $encrypt = ['original_data'];

    public function Edited()
    {
        return $this->hasOne(OrderSampleEdited::class, 'm_id', 'id');
    }

    public function EditedItem()
    {
        return $this->hasMany(OrderSampleEditedItem::class, 'm_id', 'id');
    }

    protected $fillable = [
        'order_date',
        'order_no',
        'original_data',
    ];


    protected static function boot()
    {
        parent::boot();

        //一併刪除編輯的資料
        static::deleting(function ($main) {
            $main->Edited()->delete();
            $main->EditedItem()->delete();
        });
    }
}
