<?php

namespace App\Models;

use App\User;
use App\Models\Shift;
use App\Models\PackageShiftM;
use App\Models\PackageMachine;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PackageShiftD extends Model
{
    use SoftDeletes;

    protected $connection = 'mysql';
    protected $table = 'package_shift_d';

    protected $fillable = [
        'shift', 'machine', 'check', 'package'
    ];


    public function Main()
    {
        return $this->belongsTo(PackageShiftM::class, 'm_id', 'id');
    }

    public function Shift()
    {
        return $this->belongsTo(Shift::class, 'shift', 'id');
    }

    public function Machine()
    {
        return $this->belongsTo(PackageMachine::class, 'machine', 'id');
    }

    public function Check()
    {
        return $this->belongsTo(User::class, 'check', 'id');
    }

    public function Package()
    {
        return $this->belongsTo(User::class, 'package', 'id');
    }
}
