<?php

namespace App\Services;

use Carbon\Carbon;
use App\Models\ScheduleLog;
use Illuminate\Http\Request;

class ScheduleService
{

    /**
     * 紀錄排程執行成功LOG
     *
     * @param string $cmd 指令
     * @param string $name 排程名稱
     * @return void
     */
    public function CreateOnSuccessLog(string $cmd, string $name)
    {
        $scheduleLog = new ScheduleLog();
        $scheduleLog->cmd = $cmd;
        $scheduleLog->name = $name;
        $scheduleLog->status = 'T';
        $scheduleLog->save();
    }

    /**
     * 紀錄排程執行錯誤LOG
     *
     * @param string $cmd 指令
     * @param string $name 排程名稱
     * @param string $status 排程執行狀態
     * @param string $msg 訊息
     * @return void
     */
    public function CreateOnFailureLog(string $cmd, string $name, string $msg)
    {
        $scheduleLog = new ScheduleLog();
        $scheduleLog->cmd = $cmd;
        $scheduleLog->name = $name;
        $scheduleLog->status = 'F';
        $scheduleLog->msg = $msg;
        $scheduleLog->save();
    }

    /**
     * 取得排程紀錄
     *
     * @param Request $request
     * @return array
     */
    public function GetLog(Request $request)
    {
        $sDate = $request->get('start_date', Carbon::today()->format('Y-m-d')) . ' 00:00:00';
        $eDate = $request->get('end_date', Carbon::today()->format('Y-m-d')) . ' 23:59:59';
        $db = ScheduleLog::whereBetween('created_at', [$sDate, $eDate])->orderBy('created_at', 'DESC')->get();

        return ['data' => $db];
    }
}
