<?php $__env->startSection('css'); ?>
    <style type="text/css">
        .group {
            border: 1px solid lightgray;
            border-radius: 0.25rem;
            flex-shrink: 0;
            flex-basis: 250px;
        }

        .FrozenTable>table {
            margin: 0;
            border: hidden;
        }

        .form-control {
            text-align: center;
        }

        .Done {
            text-decoration: line-through;
        }

        .Undone>td>a {
            color: red;
        }

        .TransportData {
            background-color: aliceblue;
            border-top-left-radius: 0.25rem;
            border-top-right-radius: 0.25rem;
            font-weight: bold;
            color: darkgoldenrod;
        }

        .TransportData>div {
            font-size: 1.5em;
        }

        .table td {
            padding: 0.25em;
        }

    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('title'); ?>
    託運總表
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="form-row align-items-center mb-3">
            <form action="<?php echo e(route('transport'), false); ?>" method="GET" class="col-sm-2" style="min-width: 315px;">
                <div class="input-group">
                    <div class="input-group-prepend">
                        <span class="input-group-text">
                            前七天
                        </span>
                    </div>
                    <input id="input_date" name="date" type="date" value="<?php echo e(old('date'), false); ?>" class="form-control">
                    <div class="input-group-append">
                        <button class="btn btn-primary" type="submit">查詢</button>
                    </div>
                </div>
            </form>
            <div class="col-sm">
                <div class="custom-control custom-checkbox">
                    <input type="checkbox" class="custom-control-input" id="input_onlyUndone" checked="checked"
                        onclick="input_onlyUndone_onclick()">
                    <label class="custom-control-label" for="input_onlyUndone">只顯示銷貨單未上車</label>
                </div>
            </div>
        </div>
        <div class="form-row">
            <?php if(!empty($data)): ?>
                <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="group col p-0 m-1 text-center">
                        <div class="TransportData">
                            <div><?php echo e($value['Data'][0]->TransportName, false); ?></div>
                            <div><?php echo e($value['Done'], false); ?>/<?php echo e($value['All'], false); ?></div>
                        </div>
                        <div class="FrozenTable" style="max-height: 50vh;">
                            <table class="table table-bordered table-hover">
                                <thead>
                                    <tr>
                                        <th>銷貨單號</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $value['Data']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value2): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr class="<?php echo e(empty($value2->FNum) ? 'Undone' : 'Done', false); ?>"
                                            style="<?php echo e(empty($value2->FNum) ? '' : 'display: none;', false); ?>">
                                            <td>
                                                <a href="<?php echo e(route('check_log_detail', $value2->PCOD1), false); ?>">
                                                    <?php echo e($value2->PCOD1 . '(' . $value2->PPNAM . ')', false); ?>

                                                </a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
                <div class="alert alert-danger">
                    找不到資料
                </div>
            <?php endif; ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $(document).ready(InitialDate());

        function InitialDate() {
            var today = new Date();
            var dd = today.getDate();
            var mm = today.getMonth() + 1; //January is 0!
            var yyyy = today.getFullYear();
            if (dd < 10) {
                dd = '0' + dd
            }
            if (mm < 10) {
                mm = '0' + mm
            }

            today = yyyy + '-' + mm + '-' + dd;
            if ($("#input_date").val() == '') {
                $("#input_date").val(today);
            }
            $("#input_date").attr("max", today);
        }

        function input_onlyUndone_onclick() {
            var show = $("#input_onlyUndone").prop("checked");
            if (show) {
                $(".Done").hide();
            } else {
                $(".Done").show();
            }
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\yherp\resources\views/transport.blade.php ENDPATH**/ ?>