<?php $__env->startSection('title'); ?>
    特殊訂單轉檔
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
    <style type="text/css">
        input[type="checkbox"] {
            -webkit-transform: scale(2);
            padding: 10px;
        }

        @media (max-width: 1919px) {
            input[type="checkbox"] {
                -webkit-transform: scale(1.5);
            }
        }

        @media (max-width: 1279px) {
            input[type="checkbox"] {
                -webkit-transform: scale(1);
            }
        }

    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    
    <div id="modal_upload" class="modal">
        <div class="modal-dialog modal-xl modal-dialog-centered">
            <div class="modal-content">
                <form action="<?php echo e(route('import_order_sample'), false); ?>" method="post" enctype="multipart/form-data">
                    <?php echo e(csrf_field(), false); ?>

                    <div class="modal-header">
                        <h5 class="modal-title">匯入訂單</h5>
                        <button type="button" class="close" data-dismiss="modal">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="input-group mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text">來源</span>
                            </div>
                            <select class="custom-select col-2" id="input_type" name="type">
                                <option value="1" selected>蝦皮</option>
                            </select>
                            <div class="custom-file">
                                <input class="custom-file-input" id="input_file" name="file" type="file"
                                    accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet">
                                <label class="custom-file-label" for="input_file">請選擇檔案</label>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button id="btn_import" type="submit" class="btn btn-primary">確認</button>
                        <button id="btn_loading" type="button" class="btn btn-primary" style="display: none;" disabled>
                            <div class="spinner-border spinner-border-sm">
                                <span class="sr-only"></span>
                            </div>
                            <span>匯入中...</span>
                        </button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">關閉</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    
    <div id="modal_edit" class="modal fade">
        <div class="modal-dialog modal-dialog-centered" style="max-width: 100%; width: 90%;">
            <div class="modal-content">
                <form action="<?php echo e(route('order_sample.update'), false); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-header bg-warning">
                        <div class="modal-title">
                            <h1>編輯訂單</h1>
                        </div>
                        <button type="button" class="close" data-dismiss="modal">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="container-fluid">
                            <div class="form-row">
                                <div class="form-group col-lg-2">
                                    <label>訂單成立日期</label>
                                    <input class="form-control-plaintext" type="text" name="order_date" readonly>
                                </div>
                                <div class="form-group col-lg-2">
                                    <label>原始訂單編號</label>
                                    <input class="form-control-plaintext" type="text" name="order_no" readonly>
                                </div>
                                <div class="form-group col-lg-2">
                                    <label class="text-danger">*收件者姓名</label>
                                    <input class="form-control" type="text" name="receiver_name" data-index="0" required>
                                </div>
                                <div class="form-group col-lg-2">
                                    <label class="text-danger">*收件者電話</label>
                                    <input class="form-control" type="text" name="receiver_tel" required>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-lg-2">
                                    <label class="text-danger">*城市</label>
                                    <input class="form-control" type="text" name="receiver_city" required>
                                </div>
                                <div class="form-group col-lg-2">
                                    <label class="text-danger">*行政區</label>
                                    <input class="form-control" type="text" name="receiver_district" required>
                                </div>
                                <div class="form-group col-lg-2">
                                    <label class="text-danger">*郵遞區號</label>
                                    <input class="form-control" type="text" name="receiver_postal" required>
                                </div>
                                <div class="form-group col-lg">
                                    <label class="text-danger">*收件地址</label>
                                    <input class="form-control" type="text" name="receiver_address" required>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-lg-6">
                                    <label>買家備註</label>
                                    <textarea class="form-control" name="customer_remark" style="height: 100px;"
                                        readonly></textarea>
                                </div>
                                <div class="form-group col-lg-6">
                                    <label>備註</label>
                                    <label class="text-success ml-2">※200字以內</label>
                                    <label class="text-danger ml-2">
                                        ※若是樣片已確認，請勿刪除
                                        <span style="font-weight: bold;">"樣片已確認"</span>
                                        關鍵字</label>
                                    <textarea class="form-control" name="remark" style="height: 100px;"></textarea>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="col">
                                    <div class="FrozenTable">
                                        <table class="table table-bordered table-hover sortable">
                                            <caption>正貨商品明細</caption>
                                            <thead>
                                                <tr>
                                                    <th style="width: 13%;">料號</th>
                                                    <th>名稱</th>
                                                    <th style="width: 7%;">售價</th>
                                                    <th style="width: 7%;">數量</th>
                                                    <th style="width: 6%;">操作</th>
                                                </tr>
                                            </thead>
                                            <tbody id="tbody_items"></tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row mt-2">
                                <div class="col-auto">
                                    <button id="btn_create_item" class="btn btn-info" type="button">
                                        <i class="bi bi-plus-lg"></i>新增商品
                                    </button>
                                </div>
                                <div class="col"></div>
                                <div class="col-auto">
                                    <span>原訂單商品總價：</span>
                                    <span id="span_item_total"></span>

                                </div>
                                <div class="ml-4 col-auto">
                                    <span>編輯後商品總價：</span>
                                    <span id="span_item_toral_edited" class="p-1"></span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button id="btn_edit" type="submit" class="btn btn-primary">確認</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                    </div>
                    <input type="hidden" name="id">
                    <input type="hidden" name="genuine_items">
                    <datalist id="floorItems">
                        <?php if(!empty($floorItems)): ?>
                            <?php $__currentLoopData = $floorItems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($item->ICODE, false); ?>" data-price="<?php echo e(number_format($item->IUNIT), false); ?>">
                                    <?php echo e($item->INAME, false); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </datalist>
                </form>
            </div>
        </div>
    </div>
    
    <div id="modal_delete" class="modal fade">
        <div class="modal-dialog modal-xl modal-dialog-centered">
            <div class="modal-content">
                <form action="<?php echo e(route('order_sample.delete'), false); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-header bg-danger">
                        <div class="modal-title">
                            <h1>刪除訂單</h1>
                        </div>
                        <button type="button" class="close" data-dismiss="modal">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="container-fluid">
                            <div class="form-row">
                                <div class="form-group col-auto">
                                    <label>訂單成立日期</label>
                                    <input class="form-control-plaintext" type="text" name="order_date" readonly>
                                </div>
                                <div class="form-group col-auto">
                                    <label>原始訂單編號</label>
                                    <input class="form-control-plaintext" type="text" name="order_no" readonly>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">確認</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                    </div>
                    <input type="hidden" name="id">
                </form>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <div class="form-row mb-2">
            <div class="col-auto">
                <button class="btn btn-success" type="button" data-toggle="modal" data-target="#modal_upload">
                    匯入訂單
                </button>
            </div>
            <div class="col-auto">
                <form action="<?php echo e(route('order_sample.confirm'), false); ?>" method="post" enctype="multipart/form-data">
                    <?php echo e(csrf_field(), false); ?>

                    <button id="btn_confirm" class="btn btn-primary" type="submit">
                        <i class="bi bi-check2-square"></i>確認樣片
                    </button>
                    <input name="id_list" type="hidden">
                </form>
            </div>
        </div>
        <div class="form-row mb-2">
            <?php if(!empty($data)): ?>
                <div class="col">
                    <div class="card">
                        <div class="card-header bg-secondary text-white">
                            總計：<span><?php echo e(count($data), false); ?>單</span>
                        </div>
                        <div class="card-body">
                            <ul class="list-group list-group-horizontal">
                                <?php $__currentLoopData = collect($data)->groupBy('confirmed'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $confirmed => $group): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="list-group-item text-white <?php echo e($confirmed ? 'bg-success' : 'bg-info', false); ?>"
                                        data-status="<?php echo e($confirmed, false); ?>">
                                        <span><?php echo e($confirmed ? '已確認' : '未確認', false); ?></span>：<span><?php echo e($group->count(), false); ?>單</span>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
        <?php if(empty($data)): ?>
            <div class="alert alert-danger">
                無資料
            </div>
        <?php else: ?>
            <div class="form-row">
                <div class="col">
                    <div class="FrozenTable" style="max-height: 70vh; font-size: 0.85rem;">
                        <table id="table_data" class="table table-bordered table-hover sortable table-filter">
                            <thead>
                                <tr>
                                    <th style="width: 3%;" class="sort-none">
                                        <input id="chk_all" type="checkbox">
                                    </th>
                                    <th style="width: 4%;">流水號</th>
                                    <th style="width: 7%;">訂單成立日期</th>
                                    <th class="filter-col" style="width: 11%;">原始訂單編號</th>
                                    <th style="width: 8%;">產品料號</th>
                                    <th style="width: 15%;">產品名稱</th>
                                    <th>買家備註</th>
                                    <th>備註</th>
                                    <th class="filter-col" style="width: 6%;">狀態</th>
                                    <th style="width: 11%;">操作</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr data-id="<?php echo e($item['id'], false); ?>" data-order_date="<?php echo e($item['order_date'], false); ?>"
                                        data-order_no="<?php echo e($item['order_no'], false); ?>"
                                        data-order_type="<?php echo e($item['order_type'], false); ?>"
                                        data-item_total="<?php echo e(number_format($item['item_total']), false); ?>"
                                        data-receiver_name="<?php echo e($item['receiver_name'], false); ?>"
                                        data-receiver_tel="<?php echo e($item['receiver_tel'], false); ?>"
                                        data-receiver_city="<?php echo e($item['receiver_city'], false); ?>"
                                        data-receiver_district="<?php echo e($item['receiver_district'], false); ?>"
                                        data-receiver_postal="<?php echo e($item['receiver_postal'], false); ?>"
                                        data-receiver_address="<?php echo e($item['receiver_address'], false); ?>"
                                        data-remark="<?php echo e($item['remark'], false); ?>"
                                        data-customer_remark="<?php echo e($item['customer_remark'], false); ?>"
                                        data-genuine_item="<?php echo e($item['genuine_item'], false); ?>">
                                        <td>
                                            <?php if(!$item['confirmed']): ?>
                                                <input class="confirm" type="checkbox">
                                            <?php endif; ?>
                                        </td>
                                        <td><?php echo e($item['id'], false); ?></td>
                                        <td><?php echo e($item['order_date'], false); ?></td>
                                        <td><?php echo e($item['order_no'], false); ?></td>
                                        <td><?php echo e($item['item_no'], false); ?></td>
                                        <td><?php echo e($item['item_name'], false); ?></td>
                                        <td><?php echo e($item['customer_remark'], false); ?></td>
                                        <td><?php echo e($item['remark'], false); ?></td>
                                        <?php if($item['confirmed']): ?>
                                            <td class="bg-success text-white">
                                                <i class="bi bi-check-lg"></i>已確認
                                            </td>
                                        <?php else: ?>
                                            <td class="bg-info text-white">
                                                未確認
                                            </td>
                                        <?php endif; ?>
                                        <td>
                                            <?php if(!$item['confirmed']): ?>
                                                <button class="btn btn-warning btn-sm" type="button" data-toggle="modal"
                                                    data-target="#modal_edit">
                                                    <i class="bi bi-pencil-fill"></i>編輯
                                                </button>
                                                <button class="btn btn-danger btn-sm" type="button" data-toggle="modal"
                                                    data-target="#modal_delete">
                                                    <i class="bi bi-trash"></i>刪除
                                                </button>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        //上傳檔案後顯示文件名稱
        $('#input_file').change(function(e) {
            var fileName = e.target.files[0].name;
            $(this).next('.custom-file-label').html(fileName);
        });

        //匯入
        $("#btn_import").click(function() {
            $("#btn_import").hide();
            $("#btn_loading").show();
        });

        //全選功能
        $("#chk_all").change(function() {
            $("#table_data>tbody>tr .confirm").prop('checked', $(this).is(":checked"));
        });

        //確認樣片
        $("#btn_confirm").click(function() {
            var idList = new Array();
            $("#table_data>tbody>tr .confirm:checked").each(function(index, element) {
                idList.push($(element).closest('tr').data().id);
            });
            if (idList.length > 0) {
                $('input[name="id_list"]').val(JSON.stringify(idList));
            } else {
                alert('請勾選訂單');
                return false;
            }
        });

        //編輯、刪除訂單
        $('#modal_edit,#modal_delete').on('show.bs.modal', function(event) {
            var modal_id = $(this)[0].id;
            var button = $(event.relatedTarget);
            var data = button.closest("tr").data();
            var modal_content = $(this).find(".modal-content");

            modal_content.find("input[name='id']").val(data.id);
            modal_content.find("input[name='order_date']").val(data.order_date);
            modal_content.find("input[name='order_no']").val(data.order_no);
            modal_content.find("input[name='receiver_name']").val(data.receiver_name);
            modal_content.find("input[name='receiver_tel']").val(data.receiver_tel);
            modal_content.find("input[name='receiver_city']").val(data.receiver_city);
            modal_content.find("input[name='receiver_district']").val(data.receiver_district);
            modal_content.find("input[name='receiver_postal']").val(data.receiver_postal);
            modal_content.find("input[name='receiver_address']").val(data.receiver_address);
            modal_content.find("textarea[name='remark']").val(data.remark);
            modal_content.find("textarea[name='customer_remark']").val(data.customer_remark);
            $("#span_item_total").text(data.item_total);
        });

        //編輯時，建立正貨商品明細DOM
        $('button[data-target="#modal_edit"]').click(function() {
            var data = $(this).closest("tr").data();
            var genuine_item = data.genuine_item;
            if (genuine_item.length > 0) {
                var dom = '';
                var notFoundItems = new Array();
                $(genuine_item).each(function(index, element) {
                    var item_no = element.item_no;
                    var item_price = element.item_price;
                    var item_quantity = element.item_quantity;
                    var item = $("#floorItems").find('option[value="' + item_no + '"]');
                    if (item.length == 0) {
                        notFoundItems.push(item_no);
                    } else {
                        var item_name = $(item).text();
                        dom += CreateItemDOM(item_no, item_name, item_price, item_quantity);
                    }
                });
                if (notFoundItems.length > 0) {
                    alert('商品料號：' + notFoundItems.join(',') + '，無法對應到TMS，故無法進行編輯。');
                    return false;
                }
                $("#tbody_items").html(dom);
                CalculateItemTotal();
            }
        });

        //將正貨商品清單轉成JSON藏值
        $("#btn_edit").click(function() {
            if (!CalculateItemTotal()) {
                alert('編輯後的商品總價≠原訂單的商品總價');
                return false;
            }
            var genuine_items = new Array();
            $("#tbody_items>tr").each(function(index, element) {
                var item_no = $(element).find(".item_no").val();
                var item_name = $(element).find(".item_name").text();
                var item_price = $(element).find(".item_price").val();
                var item_quantity = $(element).find(".item_quantity").val();
                var genuine_item = {
                    item_no: item_no,
                    item_name: item_name.trim(),
                    item_price: item_price,
                    item_quantity: item_quantity,
                };
                genuine_items.push(genuine_item);
            });
            $("input[name='genuine_items']").val(JSON.stringify(genuine_items));
        });

        //新增正貨商品
        $("#btn_create_item").click(function() {
            $("#tbody_items").append(CreateItemDOM());
            CalculateItemTotal();
        });

        //正貨商品明細刪除按鈕
        function ItemDelete(obj) {
            if ($("#tbody_items>tr").length > 1) {
                $(obj).closest('tr').remove();
            } else {
                alert('刪除失敗，正貨商品明細不得為空');
            }
            CalculateItemTotal();
        }

        //正貨商品料號異動，更新商品名稱
        function ItemNoOnChange(obj) {
            var tr = $(obj).closest("tr");
            var item_no = $(obj).val();
            var item_name = '';
            var item_price = '';
            var options = $('#' + $(obj).attr('list') + ' option');
            var verification = false;
            $(options).each(function(index, element) {
                if ($(element).val() == item_no) {
                    item_name = $(element).text().trim();
                    item_price = $(element).data().price;
                    verification = true;
                    return false;
                }
            });
            $(tr).find(".item_name").text(item_name);
            $(tr).find(".item_price").val(item_price);
            CalculateItemTotal();
        }

        //計算目前商品總價
        function CalculateItemTotal() {
            var result = 0;
            $("#tbody_items>tr").each(function(index, element) {
                var item_price = $(element).find(".item_price").val();
                var item_quantity = $(element).find(".item_quantity").val();
                result += item_price * item_quantity;
            });
            result = toThousands(result);
            $("#span_item_toral_edited").text(result);
            var original_item_total = $("#span_item_total").text();
            if (result != original_item_total) {
                $("#span_item_toral_edited").addClass('bg-danger text-white');
            } else {
                $("#span_item_toral_edited").removeClass('bg-danger text-white');
            }
            return result == original_item_total;
        }

        //建立正貨商品的Table row DOM
        function CreateItemDOM(item_no = '', item_name = '', item_price = '', item_quantity = 1) {
            var dom = '';
            dom += '<tr>';
            //商品料號
            dom +=
                '<td><input class="form-control text-center item_no" type="text" list="floorItems" onchange="ItemNoOnChange(this)" autocomplete="off" value="' +
                item_no + '" required></td>';
            //商品名稱
            dom += '<td><span class="item_name">' + item_name + '</span></td>';
            //商品售價
            dom +=
                '<td><input class="form-control text-center item_price" type="number" min="0" max="999999" step="1" onchange="CalculateItemTotal()" value="' +
                item_price +
                '" required></td>';
            //商品數量
            dom +=
                '<td><input class="form-control text-center item_quantity" type="number" min="1" max="9999" step="1" onchange="CalculateItemTotal()" value="' +
                item_quantity + '" required></td>';
            //商品操作
            dom +=
                '<td><button class="btn btn-danger btn-sm" type="button" onclick="ItemDelete(this)"><i class="bi bi-trash"></i>刪除</button></td>';
            dom += '</tr>';
            return dom;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\yherp\resources\views/order_sample_convert.blade.php ENDPATH**/ ?>