<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale()), false); ?>">

<head>
    <title> <?php echo $__env->yieldContent('master_title'); ?></title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token(), false); ?>">
    <!-- jQueryUI CSS 文件 -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.css">
    <!-- 新 Bootstrap4 核心 CSS 文件 -->
    <link rel="stylesheet" href="https://cdn.staticfile.org/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <!-- 新 Bootstrap4 Icons 文件 -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css">
    <!-- C3.JS 文件 -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/c3/0.7.20/c3.css">
    <style type="text/css">
        html {
            font-size: 16px;
        }

        @media (max-width: 1919px) {
            html {
                font-size: 14px;
            }
        }

        @media (max-width: 1279px) {
            html {
                font-size: 12px;
            }
        }

        body {
            font-family: Microsoft JhengHei, Consolas;
        }

        .btn>i {
            margin-right: 0.25rem;
        }

        .FrozenTable {
            overflow: auto;
            max-height: 500px;
            border-style: double;
            border-color: #ced4da;
            border-radius: 0.25rem;
        }

        .FrozenTable>table {
            margin-bottom: 0;
            border-collapse: separate;
            border-spacing: 0;
            border-style: none;
        }

        .FrozenTable>table>caption {
            color: var(--white);
            background-color: var(--secondary);
            caption-side: top;
            text-align: center;
            font-size: 1.2rem;
            font-weight: bold;
        }

        .FrozenTable>table>thead {
            position: sticky;
            top: 0;
            z-index: 1;
        }

        .FrozenTable>table th {
            color: white;
            background-color: darkcyan;
        }

        .FrozenTable .FrozenTable>table th {
            color: white;
            background-color: var(--orange);
        }

        .FrozenTable>table>tfoot>tr>td {
            color: white;
            background-color: var(--orange);
            font-weight: bold;
        }

        .FrozenTable>table>thead>tr>th,
        .FrozenTable>table>thead>tr>td,
        .FrozenTable>table>tbody>tr>th,
        .FrozenTable>table>tbody>tr>td,
        .FrozenTable>table>tfoot>tr>th,
        .FrozenTable>table>tfoot>tr>td {
            text-align: center;
            vertical-align: middle;
            border-width: 1px;
        }

        .FrozenTable>table>tbody>tr>th table {
            border: hidden;
        }

        .FrozenTable>table>tbody>tr>th table>tbody>tr>th {
            padding: 0.25rem 0.75rem;
        }

        .table td,
        .table th {
            padding: 0.5rem;
        }

        .alert {
            margin-bottom: 0;
            text-align: center;
        }

        .sortable>thead>tr>th {
            cursor: pointer;
        }

        /*c3*/
        .c3-title {
            font-size: 1.5rem;
            font-weight: bold;
            fill: darkgreen;
        }

        .c3-axis,
        .c3-text {
            font-size: 12px;
        }

        .c3-axis-x-label {
            font-size: 1.1rem;
            fill: darkred;
            transform: translateY(15px);
        }

        .c3-axis-y-label {
            font-size: 1.1rem;
            fill: darkblue;
            transform: rotate(0deg);
            transform: translate(-60px, 120px);
            writing-mode: vertical-lr;
        }

        /*bs-card*/
        .card {
            box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
        }

        /*bs-modal*/
        .modal-header {
            color: #fff;
            background-color: #17a2b8;
        }

        .modal-header>.close {
            color: #fff;
            font-size: 2rem;
        }

        /*Table filter*/
        .table-filter>thead>tr.tr-filter>th>select {
            font-size: 1em;
        }

    </style>
    <?php echo $__env->yieldContent('master_css'); ?>
</head>

<body>
    <?php if($message = Session::get('status')): ?>
        <script type="text/javascript">
            alert("<?php echo e($message, false); ?>");
        </script>
    <?php endif; ?>
    <?php echo $__env->yieldContent('master_body'); ?>
    <!-- jQuery文件。务必在bootstrap.min.js 之前引入 -->
    <script src="https://cdn.staticfile.org/jquery/3.2.1/jquery.min.js"></script>
    <!-- jQueryUI文件-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <!-- bootstrap.bundle.min.js 用于弹窗、提示、下拉菜单，包含了 popper.min.js -->
    <script src="https://cdn.staticfile.org/popper.js/1.15.0/umd/popper.min.js"></script>
    <!-- 最新的 Bootstrap4 核心 JavaScript 文件 -->
    <script src="https://cdn.staticfile.org/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <!-- C3.JS 文件 -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/d3/5.8.2/d3.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/c3/0.7.20/c3.js"></script>
    <script src="<?php echo e(asset('js/app.js'), false); ?>" type="text/js"></script>
    <script src="<?php echo e(asset('js/datepicker-zh-TW.js'), false); ?>"></script>
    <script src="<?php echo e(asset('js/jquery.sortElements.js'), false); ?>" type="text/javascript"></script>
    <script src="<?php echo e(asset('js/base.js'), false); ?>" type="text/javascript"></script>
    <script type="text/javascript">
        //datepicker
        $.datepicker.setDefaults($.datepicker.regional["zh-TW"]);
        $.datepicker._gotoToday = function(id) {
            var target = $(id);
            var inst = this._getInst(target[0]);
            if (this._get(inst, 'gotoCurrent') && inst.currentDay) {
                inst.selectedDay = inst.currentDay;
                inst.drawMonth = inst.selectedMonth = inst.currentMonth;
                inst.drawYear = inst.selectedYear = inst.currentYear;
            } else {
                var date = new Date();
                inst.selectedDay = date.getDate();
                inst.drawMonth = inst.selectedMonth = date.getMonth();
                inst.drawYear = inst.selectedYear = date.getFullYear();
                // the below two lines are new
                this._setDateDatepicker(target, date);
                this._selectDate(id, this._getDateDatepicker(target));
            }
            this._notifyChange(inst);
            this._adjustDate(target);
        }

        //匯出Excel按鈕
        $("button[export-target]").click(function() {
            var target = $($(this).attr('export-target'));
            var tableData = Array();
            var header = Array();
            $(target).find("thead>tr:last-child>th:not(.d-none)").each(function(index, element) {
                header.push($(element).text().trim());
            });
            tableData.push(header);
            $(target).find("tbody>tr:not(.d-none)").each(function(index, element) {
                var row = Array();
                $(element).find("td:not(.d-none)").each(function(index, element) {
                    if ($(element).find("button").length == 0) { //未含有button
                        row.push($(element).text().trim());
                    }
                });
                tableData.push(row);
            });
            $("input[name='export_data']").val(JSON.stringify(tableData));
        });

        //sortable class sort function，required jquery.sortElements.js
        $('.sortable > thead > tr:last-child > th:not([colspan]):not(.sort-none)')
            .append('<i class="bi bi-sort-down" style="display: none;"></i>')
            .append('<i class="bi bi-sort-down-alt" style="display: none;"></i>')
            .prop("title", "點擊進行排序")
            .each(function() {
                var table = $(this).closest('table');
                var th = $(this),
                    thIndex = th.index(),
                    inverse = false;

                th.click(function() {
                    table.find("thead>tr>th").each(function(index, element) {
                        var isTarget = $(this).index() === thIndex;
                        if (isTarget) {
                            $(element).find("i[class$=bi-sort-down]").toggle(inverse); //降冪
                            $(element).find("i[class$=bi-sort-down-alt]").toggle(!inverse); //升序
                        } else {
                            $(element).find("i").toggle(false);
                        }
                    });
                    table.find('tbody>tr>td,tbody>tr>th').filter(function() {
                        return $(this).index() === thIndex;
                    }).sortElements(function(a, b) {
                        var aText = CustomerToNumber($.text(a));
                        var bText = CustomerToNumber($.text(b));

                        if ($.isNumeric(aText) && $.isNumeric(bText)) {
                            aText = parseFloat(aText);
                            bText = parseFloat(bText);
                        }
                        if (aText == bText)
                            return 0;
                        else {
                            return aText > bText ?
                                inverse ? -1 : 1 :
                                inverse ? 1 : -1;
                        }

                    }, function() {

                        // parentNode is the element we want to move
                        return this.parentNode;

                    });

                    inverse = !inverse;

                });

            });

        //Table create filter option
        $("table.table-filter").each(function(index, element) {
            var tr = $(element).find('thead>tr:last-child');
            var colLen = tr.find("th").length;
            //Get filter columns
            var filterColIndex = new Array();
            tr.find("th.filter-col").each(function(index, element) {
                filterColIndex.push(element.cellIndex);
            });
            if (filterColIndex.length == 0) {
                return;
            }
            //Build filter opotion html
            var filterHtml = '<tr class="tr-filter">';
            for (var i = 0; i < colLen; i++) {
                if (filterColIndex.includes(i)) {
                    var filterItems = new Array();
                    $(element).find("td:nth-child(" + (i + 1) + ")").each(function(index, element) {
                        var text = $(element).text();
                        if (!filterItems.includes(text)) {
                            filterItems.push(text);
                        }
                    });
                    //無資料，無法篩選
                    if (filterItems.length == 0) {
                        continue;
                    }
                    filterItems.sort();
                    var maxLength = Math.max.apply(Math, $.map(filterItems, function(el) {
                        return el.trim().length
                    }));
                    filterHtml += '<th class="p-1"><select class="custom-select" data-col="' + (i + 1) + '">';
                    filterHtml += ('<option value="">無篩選</option>');
                    filterHtml += ('<option disabled>' + ("-".repeat(maxLength * 2)) + '</option>');
                    $(filterItems).each(function(index, element) {
                        filterHtml += ('<option value="' + element + '">' + element + "</option>");
                    });
                    filterHtml += "</select></th>";
                } else {
                    filterHtml += "<th></th>";
                }
            }
            filterHtml += '</tr>';

            tr.before(filterHtml);
        });

        //Table filter event handle
        $(".tr-filter>th>select").change(function() {
            //1.顯示全部資料
            var table = $(this).closest("table");
            table.find("tbody>tr").show();
            //2.根據每個篩選，隱藏不符合值
            $(".tr-filter>th>select").each(function(index, element) {
                var val = $(element).val();
                var text = $(element).find("option:selected").text();
                //未篩選則跳過
                if (IsNullOrEmpty(val) && text == "無篩選") {
                    return;
                }
                //隱藏不符合值
                var col = $(this).data()['col'];
                table.find("tbody>tr").each(function(index, element) {
                    if ($(element).find("td:nth-child(" + col + ")").text() != val) {
                        $(element).hide();
                    }
                });
            });
        });
    </script>
    <?php echo $__env->yieldContent('master_js'); ?>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\yherp\resources\views/layouts/master.blade.php ENDPATH**/ ?>