<?php $__env->startSection('title'); ?>
    銷貨數量查詢
<?php $__env->stopSection(); ?>
<?php $__env->startSection('css'); ?>
    <style type="text/css">
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <div class="form-row mb-3">
            <div class="col-auto">
                <form action="<?php echo e(route('sales_count'), false); ?>" method="GET">
                    <div class="form-row">
                        <div class="form-group col-auto">
                            <label for="input_start_date">起日</label>
                            <input id="input_start_date" name="start_date" class="form-control" type="date"
                                value="<?php echo e(old('start_date'), false); ?>">
                        </div>
                        <div class="form-group col-auto">
                            <label for="input_end_date">訖日</label>
                            <input id="input_end_date" name="end_date" class="form-control" type="date"
                                value="<?php echo e(old('end_date'), false); ?>">
                        </div>
                    </div>
                    <button class="btn btn-primary" type="submit">查詢</button>
                </form>
            </div>
        </div>
        <div class="form-row">
            <?php if(empty($data)): ?>
                <div class="alert alert-danger">
                    無資料
                </div>
            <?php else: ?>
                <div class="col">
                    <div class="FrozenTable" style="max-height: 75vh">
                        <table class="table table-bordered sortable">
                            <thead>
                                <tr>
                                    <th style="width: 4%;">序</th>
                                    <th style="width: 9%;">料號</th>
                                    <th>名稱</th>
                                    <th style="width: 5%;">數量</th>
                                    <th style="width: 9%;">銷貨單號</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $index = 1; ?>
                                <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemNo => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($index++, false); ?></td>
                                        <td><?php echo e($itemNo, false); ?></td>
                                        <td><?php echo e($value['Name'], false); ?></td>
                                        <td><?php echo e(number_format($value['Count']), false); ?></td>
                                        <td>
                                            <div class="d-flex flex-column">
                                                <?php $__currentLoopData = $value['SalesNo']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $salesNo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <div>
                                                        <a href="<?php echo e(route('check_log_detail', $salesNo), false); ?>"><?php echo e($salesNo, false); ?>

                                                        </a>
                                                    </div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $(document).ready(InitialDate());

        function InitialDate() {
            var today = new Date();

            if ($("#input_start_date").val() == '') {
                $("#input_start_date").val(DateToString(today));
            }
            if ($("#input_end_date").val() == '') {
                $("#input_end_date").val(DateToString(today));
            }
            $("#input_start_date,#input_end_date").attr("max", DateToString(today));
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\yherp\resources\views/sales_count.blade.php ENDPATH**/ ?>