<?php $__env->startSection('title'); ?>
    商品庫存紀錄
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <form action="<?php echo e(route('item_history'), false); ?>" method="GET" class="p-1">
            <div class="form-row">
                <div class="form-group col-lg-3 col-sm-6">
                    <label for="input_start_date">起日</label>
                    <input id="input_start_date" name="start_date" class="form-control" type="date"
                        value="<?php echo e(old('start_date'), false); ?>">
                </div>
                <div class="form-group col-lg-3 col-sm-6">
                    <label for="input_end_date">訖日</label>
                    <input id="input_end_date" name="end_date" class="form-control" type="date"
                        value="<?php echo e(old('end_date'), false); ?>">
                </div>
                <div class="form-group col-lg-3">
                    <label for="input_id">
                        商品料號
                    </label>
                    <input id="input_id" name="id" list="idList" class="form-control" style="height: auto;" type="text"
                        value="<?php echo e(old('id'), false); ?>" autocomplete="off" required>
                    <datalist id="idList">
                        <?php if(!empty($data['ItemList'])): ?>
                            <?php $__currentLoopData = $data['ItemList']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($item->ICODE, false); ?>"><?php echo e($item->INAME, false); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </datalist>
                </div>
            </div>
            <button class="btn btn-primary" type="submit">查詢</button>
        </form>
        <div class="mt-3 p-1">
            <?php if(empty(old('id'))): ?>
                <div class="alert alert-info">
                    請輸入日期、料號
                </div>
            <?php else: ?>
                <div id="chart"></div>
            <?php endif; ?>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $(document).ready(InitialDate());

        function InitialDate() {
            var min = "2021-06-29"; //之前無資料
            var today = new Date();
            var oneMonthAgo = new Date();
            oneMonthAgo.setMonth(today.getMonth() - 1);

            $("#input_start_date,#input_end_date").attr("max", DateToString(today));
            $("#input_start_date,#input_end_date").attr("min", min);
            if ($("#input_start_date").val() == '') {
                var tmp = DateToString(oneMonthAgo);
                $("#input_start_date").val(tmp < min ? min : tmp);
            }
            if ($("#input_end_date").val() == '') {
                $("#input_end_date").val(DateToString(today));
            }
        }
        var chart = c3.generate({
            bindto: '#chart',
            padding: {
                left: 100,
                right: 100
            },
            zoom: {
                enabled: true
            },
            title: {
                text: '<?php echo $data['chart']['title']; ?>'
            },
            data: {
                x: 'x',
                columns: [
                    <?php
                    echo json_encode($data['chart']['x']);
                    echo ',';
                    echo json_encode($data['chart']['y']);
                    ?>
                ],
                labels: {
                    show: true,
                    format: d3.format(',')
                }
            },
            axis: {
                x: {
                    label: {
                        text: '日期',
                        position: 'outer-right'
                    },
                    tick: {
                        format: '%m-%d',
                        culling: true,
                        centered: true
                    },
                    type: 'timeseries',
                    padding: {
                        left: 1000 * 60 * 60 * 12,
                        right: 1000 * 60 * 60 * 12
                    }
                },
                y: {
                    label: {
                        text: '庫存量',
                        position: 'outer-top'
                    },
                    tick: {
                        format: d3.format(',')
                    }
                }
            },
            tooltip: {
                format: {
                    value: function(value, ratio, id) {
                        var format = d3.format(',');
                        return format(value);
                    }
                }
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\yherp\resources\views/item_history.blade.php ENDPATH**/ ?>