<?php $__env->startSection('css'); ?>
    <style type="text/css">
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('title'); ?>
    託運明細
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <form action="<?php echo e(route('transport_detail'), false); ?>" method="GET">
            <div class="form-row">
                <div class="form-group col-auto">
                    <label for="input_start_date">起日</label>
                    <input id="input_start_date" name="start_date" class="form-control" type="date"
                        value="<?php echo e(old('start_date'), false); ?>">
                </div>
                <div class="form-group col-auto">
                    <label for="input_end_date">訖日</label>
                    <input id="input_end_date" name="end_date" class="form-control" type="date"
                        value="<?php echo e(old('end_date'), false); ?>">
                </div>
            </div>
            <button class="btn btn-primary" type="submit">查詢</button>
        </form>
        <div class="FrozenTable mt-3" style="max-height: 65vh;">
            <?php if(!empty($data)): ?>
                <table id="table_data" class="table table-bordered table-hover sortable" style="min-width: 720px;">
                    <thead>
                        <tr>
                            <th>序</th>
                            <th>託運單號</th>
                            <th>銷貨單號</th>
                            <th>原始訂單號</th>
                            <th>產品料號</th>
                            <th>產品名稱</th>
                            <th>產品數量</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $index = 1; ?>
                        <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php $rowspan = count($value); ?>
                            <?php $__currentLoopData = $value; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $detail): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($index++, false); ?></td>
                                    <td><?php echo e($detail->FNum, false); ?></td>
                                    <td><?php echo e($detail->PCOD1, false); ?></td>
                                    <td><?php echo e($detail->PJONO, false); ?></td>
                                    <td><?php echo e($detail->HICOD, false); ?></td>
                                    <td><?php echo e($detail->HINAM, false); ?></td>
                                    <td><?php echo e(number_format($detail->HINUM), false); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            <?php else: ?>
                <div class="alert alert-danger">
                    找不到相關資料
                </div>
            <?php endif; ?>
        </div>
        <div class="mt-3">
            <div class="form-row">
                <div class="form-group col-md-2">
                    <?php if(!empty($data)): ?>
                        <form action="<?php echo e(route('export_table'), false); ?>" method="post">
                            <?php echo e(csrf_field(), false); ?>

                            <input name="export_name" type="hidden" value="託運明細">
                            <input name="export_data" type="hidden">
                            <button class="btn btn-success" type="submit" export-target="#table_data">
                                <i class="bi bi-file-earmark-excel"></i>匯出Excel
                            </button>
                        </form>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $(document).ready(InitialDate());

        function InitialDate() {
            var today = new Date();

            if ($("#input_start_date").val() == '') {
                $("#input_start_date").val(DateToString(today));
            }
            if ($("#input_end_date").val() == '') {
                $("#input_end_date").val(DateToString(today));
            }
            $("#input_start_date,#input_end_date").attr("max", DateToString(today));
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\yherp\resources\views/transport_detail.blade.php ENDPATH**/ ?>