<?php $__env->startSection('master_title'); ?>
    日報表
<?php $__env->stopSection(); ?>
<?php $__env->startSection('master_body'); ?>
    
    <div id="modal_help" class="modal fade">
        <div class="modal-dialog modal-xl modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="modal-title">
                        <h1>說明</h1>
                    </div>
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="container-fluid">
                        <ul class="list-group">
                            <li class="list-group-item">已填寫過的日期，不可重複填寫</li>
                            <li class="list-group-item">今天以前的資料，不可編輯、刪除</li>
                            <li class="list-group-item">補填最多可到昨天</li>
                            <li class="list-group-item">狀態不符合預期表示，實際完成件數未達到預定完成件數 或者 實際完成時間超過預定完成時間</li>
                            <li class="list-group-item">狀態不符合預期，需做覆核動作</li>
                        </ul>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">關閉</button>
                </div>
            </div>
        </div>
    </div>
    
    <div id="modal_create" class="modal fade">
        <div class="modal-dialog modal-xl modal-dialog-centered">
            <div class="modal-content">
                <form action="<?php echo e(route('create_production_diary'), false); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-header">
                        <div class="modal-title">
                            <h1>新增日報表</h1>
                        </div>
                        <button type="button" class="close" data-dismiss="modal">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="container-fluid">
                            <div class="form-row">
                                <div class="form-group col-auto">
                                    <label class="text-danger" for="input_settle_date">*日期</label>
                                    <input class="form-control" type="text" id="input_settle_date" name="settle_date"
                                        required>
                                </div>
                                <div class="form-group col-auto">
                                    <label class="text-danger" for="input_amount">*預定完成件數</label>
                                    <input class="form-control" type="number" id="input_amount" name="amount"
                                        placeholder="預定完成件數" min="1" required>
                                </div>
                                <div class="form-group col-auto">
                                    <label class="text-danger" for="input_estimated_time">*預定完成時間</label>
                                    <input class="form-control" type="time" id="input_estimated_time"
                                        name="estimated_time" required>
                                </div>
                                <div class="form-group col-auto">
                                    <label class="text-danger" for="select_user_id">*填寫人</label>
                                    <select class="custom-select" id="select_user_id" name="user_id" required>
                                        <option value="" selected>請選擇...</option>
                                        <?php if(!empty($users)): ?>
                                            <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($item->id, false); ?>"><?php echo e($item->name, false); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </select>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col">
                                    <label class="form-check-label" for="input_remark">工作簡述</label>
                                    <textarea class="form-control" id="input_remark" name="remark"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button id="btn_save" type="submit" class="btn btn-primary">確認</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    
    <div id="modal_edit" class="modal fade">
        <div class="modal-dialog modal-xl modal-dialog-centered">
            <div class="modal-content">
                <form action="<?php echo e(route('update_production_diary'), false); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-header bg-warning">
                        <div class="modal-title">
                            <h1>修改日報表</h1>
                        </div>
                        <button type="button" class="close" data-dismiss="modal">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="container-fluid">
                            <div class="form-row">
                                <div class="form-group col-auto">
                                    <label>日期</label>
                                    <input class="form-control-plaintext" type="text" name="settle_date" readonly>
                                </div>
                                <div class="form-group col-auto">
                                    <label>預定完成件數</label>
                                    <input class="form-control" type="number" name="amount" placeholder="預定完成件數" min="1"
                                        required>
                                </div>
                                <div class="form-group col-auto">
                                    <label>預定完成時間</label>
                                    <input class="form-control" type="time" name="estimated_time" required>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col">
                                    <label class="form-check-label">工作簡述</label>
                                    <textarea class="form-control" name="remark"></textarea>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button id="btn_save" type="submit" class="btn btn-primary">確認</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                    </div>
                    <input type="hidden" name="id">
                </form>
            </div>
        </div>
    </div>
    
    <div id="modal_delete" class="modal fade">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <form action="<?php echo e(route('delete_production_diary'), false); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-header bg-danger">
                        <div class="modal-title">
                            <h1>刪除日報表</h1>
                        </div>
                        <button type="button" class="close" data-dismiss="modal">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>日期</label>
                            <input class="form-control-plaintext" type="text" name="settle_date" readonly>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button id="btn_save" type="submit" class="btn btn-primary">確認</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                    </div>
                    <input type="hidden" name="id">
                </form>
            </div>
        </div>
    </div>
    
    <div id="modal_check" class="modal fade">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <form action="<?php echo e(route('check_production_diary'), false); ?>" method="post" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-header bg-primary">
                        <div class="modal-title">
                            <h1>覆核日報表</h1>
                        </div>
                        <button type="button" class="close" data-dismiss="modal">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>日期</label>
                            <input class="form-control-plaintext" type="text" name="settle_date" readonly>
                        </div>
                        <div class="form-group">
                            <label class="text-danger" for="select_signinger">*覆核人</label>
                            <select class="custom-select" id="select_signinger" name="signinger" required>
                                <option value="" selected>請選擇...</option>
                                <?php if(!empty($users)): ?>
                                    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($item->id, false); ?>"><?php echo e($item->name, false); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </select>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button id="btn_save" type="submit" class="btn btn-primary">確認</button>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">取消</button>
                    </div>
                    <input type="hidden" name="id">
                    <input type="hidden" name="signinger" value="1">
                </form>
            </div>
        </div>
    </div>
    <div class="container-fluid py-2">
        <div class="form-row mb-2">
            <div class="col"></div>
            <div class="col-auto">
                <button class="btn btn-info" type="button" data-toggle="modal" data-target="#modal_create">
                    <i class="bi bi-plus-lg"></i>新增日報表
                </button>
            </div>
            <div class="col-auto">
                <button class="btn btn-success" type="button" data-toggle="modal" data-target="#modal_help">
                    <i class="bi bi-question-lg"></i>說明
                </button>
            </div>
        </div>
        <form action="<?php echo e(route('production_diary'), false); ?>" method="GET" class="mb-2">
            <div class="form-row">
                <div class="form-group col-auto">
                    <label for="input_start_date">起日</label>
                    <input id="input_start_date" name="start_date" class="form-control" type="date"
                        value="<?php echo e(old('start_date'), false); ?>" required>
                </div>
                <div class="form-group col-auto">
                    <label for="input_end_date">訖日</label>
                    <input id="input_end_date" name="end_date" class="form-control" type="date"
                        value="<?php echo e(old('end_date'), false); ?>" required>
                </div>
            </div>
            <button class="btn btn-primary" type="submit">
                <i class="bi bi-search"></i>查詢
            </button>
        </form>
        <div class="form-row">
            <div class="col">
                <div class="FrozenTable" style="max-height: 70vh">
                    <table class="table table-bordered table-hover sortable">
                        <thead>
                            <tr>
                                <th style="width: 5%;">流水號</th>
                                <th style="width: 9%;">日期</th>
                                <th style="width: 7%;">預定<br>完成件數</th>
                                <th style="width: 9%;">預定<br>完成時間</th>
                                <th style="width: 7%;">實際<br>完成件數</th>
                                <th style="width: 9%;">實際<br>完成時間</th>
                                <th style="width: 8%;">狀態</th>
                                <th>工作簡述</th>
                                <th style="width: 14%;">操作</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr data-id="<?php echo e($value->id, false); ?>" data-settle_date="<?php echo e($value->settle_date, false); ?>"
                                    data-amount="<?php echo e($value->amount, false); ?>"
                                    data-estimated_time="<?php echo e($value->estimated_time, false); ?>"
                                    data-remark="<?php echo e($value->remark, false); ?>">
                                    <td><?php echo e($value->id, false); ?></td>
                                    <td><?php echo e($value->settle_date, false); ?></td>
                                    <td><?php echo e($value->amount, false); ?></td>
                                    <td><?php echo e($value->estimated_time, false); ?></td>
                                    <td><?php echo e($value->checkCount, false); ?></td>
                                    <td><?php echo e($value->lastCheckTime, false); ?></td>
                                    <?php switch($value->status):
                                        case (1): ?>
                                            <td class="bg-warning">無驗貨紀錄</td>
                                        <?php break; ?>
                                        <?php case (2): ?>
                                            <td class="text-white bg-success">符合預期</td>
                                        <?php break; ?>
                                        <?php case (3): ?>
                                            <td class="text-white bg-primary">已覆核</td>
                                        <?php break; ?>
                                        <?php case (4): ?>
                                            <td class="text-white bg-danger">不符合預期</td>
                                        <?php break; ?>
                                        <?php default: ?>
                                            <td class="text-white bg-secondary">未定義</td>
                                    <?php endswitch; ?>
                                    <td><?php echo e($value->remark, false); ?></td>
                                    <td>
                                        <?php if($value->canModify): ?>
                                            <button class="btn btn-warning" type="button" data-toggle="modal"
                                                data-target="#modal_edit">
                                                <i class="bi bi-pencil-fill"></i>編輯
                                            </button>
                                            <button class="btn btn-danger" type="button" data-toggle="modal"
                                                data-target="#modal_delete">
                                                <i class="bi bi-trash"></i>刪除
                                            </button>
                                        <?php elseif($value->status == 4): ?>
                                            <button class="btn btn-primary" type="button" data-toggle="modal"
                                                data-target="#modal_check">
                                                <i class="bi bi-check2-square"></i>覆核
                                            </button>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('master_js'); ?>
    <script type="text/javascript">
        $(document).ready(InitialDate());

        function InitialDate() {
            var today = new Date();

            if ($("#input_start_date").val() == '') {
                $("#input_start_date").val(DateToString(today));
            }
            if ($("#input_end_date").val() == '') {
                $("#input_end_date").val(DateToString(today));
            }

            $("#input_estimated_time").val("17:00");

            //datepicker
            var finishedDates = <?php echo json_encode($finishedDates, 15, 512) ?>;
            $("#input_settle_date").datepicker({
                dateFormat: "yy/mm/dd",
                minDate: "-1d",
                showButtonPanel: true,
                beforeShowDay: function(date) {
                    var string = jQuery.datepicker.formatDate('yy-mm-dd', date);
                    return [finishedDates.indexOf(string) == -1];
                },
                onClose: function(date) {
                    $("#input_estimated_time").val("17:00");
                }
            });
            $("#input_settle_date").datepicker("setDate", today);
            $("#btn_save").click(function() {
                var date = $("#input_settle_date").val().replaceAll("/", "-");

                if (finishedDates.indexOf(date) != -1) {
                    alert('該天已填寫過日報表，請重新選擇[日期]!!!');
                    return false;
                } else if (new Date($("#input_estimated_time").val()) <= new Date(date + " 00:00:00")) {
                    alert('[預定完成時間]不能小於日期');
                    return false;
                }
            });
        }

        //日報表修改、刪除、覆核
        $('#modal_edit,#modal_delete,#modal_check').on('show.bs.modal', function(event) {
            var button = $(event.relatedTarget);
            var data = button.closest("tr").data();
            var modal_content = $(this).find(".modal-content");

            modal_content.find("input[name='id']").val(data.id);
            modal_content.find("input[name='settle_date']").val(data.settle_date);
            modal_content.find("input[name='amount']").val(data.amount);
            modal_content.find("input[name='estimated_time']").val(data.estimated_time.substr(11, 5));
            modal_content.find("textarea[name='remark']").val(data.remark);
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\yherp\resources\views/production_diary.blade.php ENDPATH**/ ?>