<?php $__env->startSection('title'); ?>
    上車檢驗
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="form-row">
            <div class="col">
                <form action="<?php echo e(route('check_shipment'), false); ?>" method="GET">
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text">
                                銷貨單號
                            </span>
                        </div>
                        <input autofocus type="text" name="id" id="input_order" class="form-control" style="height: auto;">
                        <div class="input-group-append">
                            <button id="btn_search" class="btn btn-primary" type="submit">查詢</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="form-row">
            <div class="col">
                <div class="card">
                    <div class="card-body">
                        <div class="card-title">
                            <div class="form-row">
                                <div class="col text-center" style="font-size: 15rem;">
                                    <?php switch($status):
                                        case (0): ?>
                                            <i class="bi bi-upc-scan"></i>
                                        <?php break; ?>
                                        <?php case (1): ?>
                                            <i class="bi bi-x-octagon-fill text-danger"></i>
                                        <?php break; ?>
                                        <?php case (2): ?>
                                            <i class="bi bi-exclamation-triangle-fill text-warning"></i>
                                        <?php break; ?>
                                        <?php case (3): ?>
                                            <i class="bi bi-check-circle-fill text-success"></i>
                                        <?php break; ?>
                                    <?php endswitch; ?>
                                </div>
                                <div class="col font-weight-bold d-flex flex-column align-items-center justify-content-center"
                                    style="font-size: 2rem;">
                                    <?php if(!empty($orderNo)): ?>
                                        <div class="text-primary">銷貨單號：<?php echo e($orderNo, false); ?></div>
                                    <?php endif; ?>
                                    <div>
                                        <?php echo e($msg, false); ?>

                                    </div>
                                    <?php switch($status):
                                        case (1): ?>
                                        <?php case (2): ?>
                                            <audio src="mp3/surprise.mp3" autoplay="autoplay"></audio>
                                        <?php break; ?>
                                        <?php case (3): ?>
                                            <audio src="mp3/14144.mp3" autoplay="autoplay"></audio>
                                        <?php break; ?>
                                    <?php endswitch; ?>
                            </div>
                        </div>
                    </div>
                    <div class="card-text">

                        <?php if($status == 2 || $status == 3): ?>
                            <div class="FrozenTable mt-3" style="max-height: 40vh;">
                                <table class="table table-bordered table-hover">
                                    <caption>銷貨明細</caption>
                                    <thead>
                                        <tr>
                                            <th style="width: 20%;">料號</th>
                                            <th>品名</th>
                                            <th style="width: 15%;">數量</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($item->HICOD, false); ?></td>
                                                <td><?php echo e($item->HINAM, false); ?></td>
                                                <td><?php echo e(number_format($item->HINUM), false); ?></td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script type="text/javascript">
    // Get the input field
    var input = document.getElementById("input_order");

    // Execute a function when the user releases a key on the keyboard
    input.addEventListener("keyup", function(event) {
        // Number 13 is the "Enter" key on the keyboard
        if (event.keyCode === 13) {
            // Cancel the default action, if needed
            event.preventDefault();
            // Trigger the button element with a click
            document.getElementById("btn_search").click();
        }
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\yherp\resources\views/check_shipment.blade.php ENDPATH**/ ?>