<?php $__env->startSection('css'); ?>
    <style type="text/css">
    </style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('title'); ?>
    商品成長比較表
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="container-fluid">
        <form action="<?php echo e(route('sales_comparison'), false); ?>" method="get" class="p-1">
            <div class="form-row">
                <div class="form-group col-auto">
                    <label for="input_id">
                        商品篩選
                    </label>
                    <div class="input-group">
                        <div class="input-group-prepend">
                            <select class="custom-select" id="select_filter" name="filter">
                                <option <?php echo e(empty(old('filter')) ? 'selected' : '', false); ?> value="0">無篩選</option>
                                <option <?php echo e(old('filter') == '1' ? 'selected' : '', false); ?> value="1">料號</option>
                                <option <?php echo e(old('filter') == '2' ? 'selected' : '', false); ?> value="2">類別</option>
                            </select>
                        </div>
                        <datalist id="idList">
                            <?php if(!empty($itemList)): ?>
                                <?php $__currentLoopData = $itemList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($item->ICODE, false); ?>"><?php echo e($item->INAME, false); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </datalist>
                        <input id="input_id" name="id" list="idList" class="form-control"
                            style="height: auto; <?php echo e(old('filter') == '1' ? '' : 'display: none;', false); ?>" type="text"
                            value="<?php echo e(old('id'), false); ?>" autocomplete="off" placeholder="空白則搜尋全部商品">
                        <datalist id="typeList">
                            <?php if(!empty($typeList)): ?>
                                <?php $__currentLoopData = $typeList; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($value->ITCOD, false); ?>"><?php echo e($value->ITNAM, false); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </datalist>
                        <input id="input_type" name="type" list="typeList" class="form-control"
                            style="height: auto; <?php echo e(old('filter') == '2' ? '' : 'display: none;', false); ?>" type="text"
                            value="<?php echo e(old('type'), false); ?>" autocomplete="off" placeholder="空白則搜尋全部商品">
                    </div>
                </div>
            </div>
            <div class="form-row">
                <div class="form-group col-lg-3 col-sm-6 text-primary">
                    <label for="input_a_start_date">A區間起日</label>
                    <input id="input_a_start_date" name="a_start_date" class="form-control" type="date"
                        value="<?php echo e(old('a_start_date'), false); ?>" required>
                </div>
                <div class="form-group col-lg-3 col-sm-6 text-primary">
                    <label for="input_a_end_date">A區間訖日</label>
                    <input id="input_a_end_date" name="a_end_date" class="form-control" type="date"
                        value="<?php echo e(old('a_end_date'), false); ?>" required>
                </div>
                <div class="form-group col-lg-3 col-sm-6 text-success">
                    <label for="input_b_start_date">B區間起日</label>
                    <input id="input_b_start_date" name="b_start_date" class="form-control" type="date"
                        value="<?php echo e(old('b_start_date'), false); ?>" required>
                </div>
                <div class="form-group col-lg-3 col-sm-6 text-success">
                    <label for="input_b_end_date">B區間訖日</label>
                    <input id="input_b_end_date" name="b_end_date" class="form-control" type="date"
                        value="<?php echo e(old('b_end_date'), false); ?>" required>
                </div>
            </div>
            <button class="btn btn-primary" type="submit">查詢</button>
            <input id="input_public" name="public" type="hidden" value="<?php echo e($public ? '1' : '0', false); ?>">
        </form>
        <div class="form-row mt-1">
            <div class="col">
                <div class="FrozenTable" style="max-height: 60vh; font-size: 0.85rem;">
                    <table id="table_data" class="table table-bordered table-hover table-striped sortable">
                        <thead>
                            <tr>
                                <th scope="col" style="width: 4%;">序</th>
                                <th scope="col" style="width: 6%;">料號</th>
                                <th scope="col">產品名</th>
                                <th scope="col">類別</th>
                                <th scope="col">A區間<br>時間</th>
                                <?php if(!$public): ?>
                                    <th scope="col" style="width: 7%;">A區間<br>總營業額</th>
                                <?php endif; ?>
                                <th scope="col" style="width: 7%;">A區間<br>總數量</th>
                                <th scope="col">B區間<br>時間</th>
                                <?php if(!$public): ?>
                                    <th scope="col" style="width: 7%;">B區間<br>總營業額</th>
                                <?php endif; ?>
                                <th scope="col" style="width: 7%;">B區間<br>總數量</th>
                                <?php if(!$public): ?>
                                    <th scope="col" style="width: 8%;">總營業額差<br>(A-B)</th>
                                    <th scope="col" style="width: 6%;">營業額<br>成長率</th>
                                <?php endif; ?>
                                <th scope="col" style="width: 6%;">總數差<br>(A-B)</th>
                                <th scope="col" style="width: 6%;">數量<br>成長率</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $index = 1; ?>
                            <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $itemNo => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($index++, false); ?></td>
                                    <td><?php echo e($itemNo, false); ?></td>
                                    <td><?php echo e($value['name'], false); ?></td>
                                    <td><?php echo e($value['type'], false); ?></td>
                                    <td><?php echo e($aRange, false); ?></td>
                                    <?php if(!$public): ?>
                                        <td><?php echo e($value['aTotal'], false); ?></td>
                                    <?php endif; ?>
                                    <td><?php echo e($value['aNum'], false); ?></td>
                                    <td><?php echo e($bRange, false); ?></td>
                                    <?php if(!$public): ?>
                                        <td><?php echo e($value['bTotal'], false); ?></td>
                                    <?php endif; ?>
                                    <td><?php echo e($value['bNum'], false); ?></td>
                                    <?php if(!$public): ?>
                                        <td><?php echo e($value['diff'], false); ?></td>
                                        <td><?php echo e($value['diffPercent'], false); ?></td>
                                    <?php endif; ?>
                                    <td><?php echo e($value['diffNum'], false); ?></td>
                                    <td><?php echo e($value['diffNumPercent'], false); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="form-row mt-1">
            <div class="col">
                <?php if(!empty($data)): ?>
                    <form action="<?php echo e(route('export_table'), false); ?>" method="post">
                        <?php echo e(csrf_field(), false); ?>

                        <input name="export_name" type="hidden" value="商品成長比較表">
                        <input name="export_data" type="hidden">
                        <button id="btn_export" class="btn btn-success" type="submit" export-target="#table_data">
                            <i class="bi bi-file-earmark-excel"></i>匯出Excel
                        </button>
                    </form>
                <?php endif; ?>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script type="text/javascript">
        $(document).ready(InitialDate());

        $("#btn_export").click(function() {
            var a_s_date = $("#input_a_start_date").val();
            var a_e_date = $("#input_a_end_date").val();
            var b_s_date = $("#input_b_start_date").val();
            var b_e_date = $("#input_b_end_date").val();
            $("input[name='export_name']").val(a_s_date + '到' + a_e_date + '與' + b_s_date + '到' + b_e_date +
                '商品成長比較表');
        });

        $("#select_filter").on('change', function() {
            $("#input_id, #input_type").val('');
            $("#input_id, #input_type").hide();
            switch (this.value) {
                case "1":
                    $("#input_id").show();
                    break;
                case "2":
                    $("#input_type").show();
                    break;
                default:
                    break;
            }
        });

        function InitialDate() {
            var today = new Date();
            var dd = today.getDate();
            var mm = today.getMonth() + 1; //January is 0!
            var yyyy = today.getFullYear();
            if (dd < 10) {
                dd = '0' + dd
            }
            if (mm < 10) {
                mm = '0' + mm
            }

            today = yyyy + '-' + mm + '-' + dd;
            if ($("#input_a_start_date").val() == '') {
                $("#input_a_start_date").val(today);
            }
            if ($("#input_a_end_date").val() == '') {
                $("#input_a_end_date").val(today);
            }
            if ($("#input_b_start_date").val() == '') {
                $("#input_b_start_date").val(today);
            }
            if ($("#input_b_end_date").val() == '') {
                $("#input_b_end_date").val(today);
            }
            $("#input_a_start_date").attr("max", today);
            $("#input_a_end_date").attr("max", today);
            $("#input_b_start_date").attr("max", today);
            $("#input_b_end_date").attr("max", today);
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.base', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\yherp\resources\views/sales_comparison.blade.php ENDPATH**/ ?>