<?php $__env->startSection('master_title'); ?>
    <?php echo $__env->yieldContent('title'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('master_css'); ?>
    <style type="text/css">
        /*checkbox size*/
        input[type="checkbox"] {
            transform: scale(1.4);
        }

        @media (max-width: 1919px) {
            input[type="checkbox"] {
                transform: scale(1.2);
            }
        }

        @media (max-width: 1279px) {
            input[type="checkbox"] {
                transform: scale(1);
            }
        }

        /*Sidebar*/
        .sidebar {
            position: fixed;
            top: 0;
            bottom: 0;
            left: 0;
            z-index: 100;
            /* Behind the navbar */
            padding: 48px 0 0;
            /* Height of navbar */
            box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
        }

        .sidebar-sticky {
            position: relative;
            top: 0;
            height: calc(100vh - 48px);
            padding-top: .5rem;
            padding-bottom: 5rem;
            overflow-x: hidden;
            overflow-y: auto;
            /* Scrollable contents if viewport is shorter than content. */
        }

        @supports ((position: -webkit-sticky) or (position: sticky)) {
            .sidebar-sticky {
                position: -webkit-sticky;
                position: sticky;
            }
        }

        .sidebar .nav-link {
            font-weight: bold;
            color: #333;
        }

        .sidebar .nav-link .bi {
            margin-right: 4px;
        }

        .sidebar .nav-link.active {
            color: #007bff;
            font-size: 1.1rem;
        }

        .sidebar .nav-link:hover {
            color: white;
            background-color: #999;
        }

        .sidebar .nav-link.active .bi {
            color: inherit;
        }

        .sidebar-heading {
            font-size: .75rem;
            text-transform: uppercase;
        }

        /*Content*/
        [role="main"] {
            padding-top: 48px;
            /* Space for fixed navbar */
        }

        [role="main"]>.container,
        [role="main"]>.container-fluid {
            padding-top: 15px;
        }

        /*Navbar*/
        .navbar-brand {
            padding-top: .75rem;
            padding-bottom: .75rem;
            font-size: 1rem;
            background-color: rgba(0, 0, 0, .25);
            box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25);
        }

        .navbar .form-control {
            padding: .75rem 1rem;
            border-width: 0;
            border-radius: 0;
        }

        /*摺疊內容*/
        .nav-item>a[aria-expanded=true]>.bi-caret-down-fill {
            transform: rotate(180deg);
        }

        .nav .nav {
            font-size: 0.9rem;
            flex-wrap: nowrap;
        }

        .nav-item-group>.nav>.nav-item>.nav-link {
            padding: 0.25rem 2.5rem;
        }

        /* 最後更新時間 */
        .LastUpdateTime {
            position: fixed;
            bottom: 0;
            left: 0;
            z-index: 99999;
            color: red;
        }

        /*checkbox list*/
        .form-check-list {
            border: 1px solid #ced4da;
            border-radius: 0.25rem;
            padding: 0.25rem 1rem;
            overflow: auto;
        }

        .form-check-list>.form-check {
            margin: 6px 0;
        }

        #div_user_menu>.dropdown-menu>.dropdown-header {
            font-size: 1.2rem;
            font-weight: bold;
            padding: 0.25rem 1rem;
        }

        #div_user_menu>.dropdown-menu>.dropdown-header>.bi {
            margin-right: 0.25rem;
        }

        #div_user_menu>.dropdown-menu>.dropdown-group>.dropdown-item {
            padding: 0.25rem 2.5rem;
        }

    </style>
    <?php echo $__env->yieldContent('css'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('master_body'); ?>
    <nav class="navbar navbar-dark bg-dark fixed-top flex-md-nowrap p-0">
        <a id="nav_logo" class="navbar-brand col-md-4 col-lg-3 col-xl-2 d-none d-md-block mr-0"
            href="<?php echo e(route('Home'), false); ?>">優居ERP</a>
        <button class="navbar-toggler d-block d-md-none m-1" type="button" data-toggle="collapse" data-target="#nav_sidebar">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="col-auto d-none d-md-block pl-3">
            <button id="btn_zoom_in" class="btn btn-secondary" type="button">
                <span class="navbar-toggler-icon"></span>
            </button>
            <button id="btn_zoom_out" class="btn btn-secondary" style="display: none;" type="button">
                <span class="navbar-toggler-icon"></span>
            </button>
        </div>
        <div class="col"></div>
        <div class="col-auto p-0">
            <div id="div_user_menu" class="nav-item dropdown">
                <a id="navbarDropdown" class="navbar-brand nav-link dropdown-toggle mr-0" href="#" role="button"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                    <i class="bi bi-person-fill"></i>
                    <?php echo e(Auth::user()->name, false); ?>

                    <span class="caret"></span>
                </a>
                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['user', 'any'])): ?>
                        <div class="dropdown-header">
                            <i class="bi bi-gear-fill"></i>設定
                        </div>
                        <div class="dropdown-group">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('user')): ?>
                                <a class="dropdown-item" href="<?php echo e(route('users.index'), false); ?>">
                                    使用者管理
                                </a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('role')): ?>
                                <a class="dropdown-item" href="<?php echo e(route('roles.index'), false); ?>">
                                    角色管理
                                </a>
                            <?php endif; ?>
                        </div>
                        <div class="dropdown-divider"></div>
                    <?php endif; ?>
                    <a class="dropdown-header text-danger" href="<?php echo e(route('logout'), false); ?>"
                        onclick="event.preventDefault();document.getElementById('logout-form').submit();">
                        <i class="bi bi-box-arrow-right"></i><?php echo e(__('auth.Logout'), false); ?>

                    </a>
                    <form id="logout-form" action="<?php echo e(route('logout'), false); ?>" method="POST" style="display: none;">
                        <?php echo csrf_field(); ?>
                    </form>
                </div>
            </div>
        </div>
    </nav>
    <div class="container-fluid">
        <div class="row">
            <nav class="collapse d-md-block col-md-4 col-lg-3 col-xl-2 sidebar bg-light" id="nav_sidebar">
                <div class="sidebar-sticky">
                    <ul class="nav flex-column">
                        <li class="nav-item">
                            <a class="nav-link <?php echo e(Route::currentRouteNamed('Home') ? 'active' : '', false); ?>"
                                href="<?php echo e(route('Home'), false); ?>">
                                <i class="bi bi-house-fill"></i>
                                <span class="nav-link-text">首頁</span>
                            </a>
                        </li>
                        <li class="nav-item nav-item-group">
                            <a class="nav-link collapsed" href="#ul_site" data-toggle="collapse" role="button"
                                aria-expanded="false" aria-controls="ul_site">
                                <i class="bi bi-broadcast"></i>
                                <span class="nav-link-text">現場管理</span>
                                <i class="bi bi-caret-down-fill float-right"></i>
                            </a>
                            <ul class="nav flex-column collapse" id="ul_site">
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('PoseinCheckDataLog') && !empty($type) && $type != '1' ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('PoseinCheckDataLog', 99), false); ?>">
                                        <i class="bi bi-broadcast"></i>
                                        <span class="nav-link-text">現場狀況</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('PoseinCheckDataLog') && !empty($type) && $type == '1' ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('PoseinCheckDataLog', 1), false); ?>">
                                        <i class="bi bi-broadcast"></i>
                                        <span class="nav-link-text">現場狀況(重物)</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('order_unprinted') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('order_unprinted'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">未轉單總表</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('stock_check') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('stock_check'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">搓合總表</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('transfer') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('transfer'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">可調撥總表</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('sales_lost_check') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('sales_lost_check'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">孤兒單總表</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('check_search') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('check_search'), false); ?>">
                                        <i class="bi bi-search"></i>
                                        <span class="nav-link-text">驗貨查詢</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('order_tax_id') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('order_tax_id'), false); ?>">
                                        <i class="bi bi-search"></i>
                                        <span class="nav-link-text">需統編查詢</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('orderBulb') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('orderBulb'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">需贈品清單</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('overweight') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('overweight'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">已超重清單</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('production_diary') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('production_diary'), false); ?>" target="_blank">
                                        <i class="bi bi-pencil"></i>
                                        <span class="nav-link-text">填寫日報表</span>
                                    </a>
                                </li>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('package_shift')): ?>
                                    <li class="nav-item">
                                        <a class="nav-link <?php echo e(Route::currentRouteNamed('package_shift.') ? 'active' : '', false); ?>"
                                            href="<?php echo e(route('package_shift.index'), false); ?>">
                                            <i class="bi bi-pencil"></i>
                                            <span class="nav-link-text">包驗貨排班</span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                            </ul>
                        </li>
                        <li class="nav-item nav-item-group">
                            <a class="nav-link collapsed" href="#ul_stock" data-toggle="collapse" role="button"
                                aria-expanded="false" aria-controls="ul_stock">
                                <i class="bi bi-box"></i>
                                <span class="nav-link-text">庫存管理</span>
                                <i class="bi bi-caret-down-fill float-right"></i>
                            </a>
                            <ul class="nav flex-column collapse" id="ul_stock">
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('stockAll') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('stockAll'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">庫存總表</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('stock_unusual') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('stock_unusual'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">庫存異常清單</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('itemp') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('itemp'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">儲位總表</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('sales_reserve') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('sales_reserve'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">儲位調整</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('safety_stock.index') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('safety_stock.index'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">商品安庫表</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('item_log') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('item_log'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">商品履歷</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('item_history') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('item_history'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">商品庫存紀錄</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item nav-item-group">
                            <a class="nav-link collapsed" href="#ul_transport" data-toggle="collapse" role="button"
                                aria-expanded="false" aria-controls="ul_transport">
                                <i class="bi bi-truck"></i>
                                <span class="nav-link-text">託運報表</span>
                                <i class="bi bi-caret-down-fill float-right"></i>
                            </a>
                            <ul class="nav flex-column collapse" id="ul_transport">
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('transport') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('transport'), false); ?>">
                                        <i class="bi bi-truck"></i>
                                        <span class="nav-link-text">託運總表</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('check_shipment') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('check_shipment'), false); ?>">
                                        <i class="bi bi-truck"></i>
                                        <span class="nav-link-text">上車檢驗</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('transport_detail') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('transport_detail'), false); ?>">
                                        <i class="bi bi-truck"></i>
                                        <span class="nav-link-text">託運明細</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('sales_count') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('sales_count'), false); ?>">
                                        <i class="bi bi-search"></i>
                                        <span class="nav-link-text">地板託運數量查詢</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item nav-item-group">
                            <a class="nav-link collapsed" href="#ul_c" data-toggle="collapse" role="button"
                                aria-expanded="false" aria-controls="ul_c">
                                <i class="bi bi-person"></i>
                                <span class="nav-link-text">客服管理</span>
                                <i class="bi bi-caret-down-fill float-right"></i>
                            </a>
                            <ul class="nav flex-column collapse" id="ul_c">
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('customer_complaint') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('customer_complaint'), false); ?>">
                                        <i class="bi bi-pencil"></i>
                                        <span class="nav-link-text">客訴單</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('order_sample.index') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('order_sample.index'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">特殊訂單管理</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('order_sample.convert') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('order_sample.convert'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">特殊訂單轉檔</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('order_sample.download_page') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('order_sample.download_page'), false); ?>">
                                        <i class="bi bi-download"></i>
                                        <span class="nav-link-text">特殊訂單下載</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item nav-item-group">
                            <a class="nav-link collapsed" href="#ul_sales" data-toggle="collapse" role="button"
                                aria-expanded="false" aria-controls="ul_sales">
                                <i class="bi bi-bar-chart-fill"></i>
                                <span class="nav-link-text">銷售報表</span>
                                <i class="bi bi-caret-down-fill float-right"></i>
                            </a>
                            <ul class="nav flex-column collapse" id="ul_sales">
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('unsalable') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('unsalable'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">商品滯銷表</span>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('sales_comparison') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('sales_comparison'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">商品成長比較表</span>
                                    </a>
                                </li>
                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('sales_report')): ?>
                                    <li class="nav-item">
                                        <a class="nav-link <?php echo e(Route::currentRouteNamed('sales_report') ? 'active' : '', false); ?>"
                                            href="<?php echo e(route('sales_report'), false); ?>">
                                            <i class="bi bi-table"></i>
                                            <span class="nav-link-text">銷貨日報表</span>
                                        </a>
                                    </li>
                                <?php endif; ?>
                            </ul>
                        </li>
                        <li class="nav-item nav-item-group">
                            <a class="nav-link collapsed" href="#ul_other" data-toggle="collapse" role="button"
                                aria-expanded="false" aria-controls="ul_other">
                                <i class="bi bi-collection"></i>
                                <span class="nav-link-text">其他報表</span>
                                <i class="bi bi-caret-down-fill float-right"></i>
                            </a>
                            <ul class="nav flex-column collapse" id="ul_other">
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('stock_can_sale') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('stock_can_sale'), false); ?>">
                                        <i class="bi bi-table"></i>
                                        <span class="nav-link-text">商品可銷售量表</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item nav-item-group">
                            <a class="nav-link collapsed" href="#ul_system" data-toggle="collapse" role="button"
                                aria-expanded="false" aria-controls="ul_system">
                                <i class="bi bi-gear-fill"></i>
                                <span class="nav-link-text">系統管理</span>
                                <i class="bi bi-caret-down-fill float-right"></i>
                            </a>
                            <ul class="nav flex-column collapse" id="ul_system">
                                <li class="nav-item">
                                    <a class="nav-link <?php echo e(Route::currentRouteNamed('schedule_log') ? 'active' : '', false); ?>"
                                        href="<?php echo e(route('schedule_log'), false); ?>">
                                        <i class="bi bi-calendar-check-fill"></i>
                                        <span class="nav-link-text">排程管理</span>
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </nav>
            <main role="main" class="ml-sm-auto col-md-8 col-lg-9 col-xl-10 px-0">
                <?php echo $__env->yieldContent('content'); ?>
            </main>
        </div>
    </div>
    <div class="LastUpdateTime d-none d-md-block ml-3">
        最後更新時間：<?php echo e(date('Y-m-d H:i:s'), false); ?>

    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('master_js'); ?>
    <script type="text/javascript">
        //有開啟中的頁面，則打開群組
        $(".nav-item-group").each(function(index, element) {
            if ($(element).find(".active").length > 0) {
                $(element).find(".collapse").collapse("show");
            }
        });

        //群組開啟時關閉其他群組
        $(".nav-item-group").click(function() {
            var target = $(this)[0];
            $(".nav-item-group").each(function(index, element) {
                if (element != target) {
                    $(element).find(".collapse").collapse("hide");
                }
            });
        });

        //群組子項高亮
        $(".nav .nav-link").on("click", function() {
            $(".nav").find(".active").removeClass("active");
            $(this).addClass("active");
        });

        //放大功能
        $("#btn_zoom_in").click(function() {
            $("#btn_zoom_in").hide();
            $("#btn_zoom_out").show();

            $("#nav_logo,#nav_sidebar,.LastUpdateTime").css("cssText", "display: none !important;");
            $("main").css('cssText', 'max-width: 100%; flex-basis: 100%; margin: 0 !important;');
        });

        //縮小功能
        $("#btn_zoom_out").click(function() {
            $("#btn_zoom_out").hide();
            $("#btn_zoom_in").show();

            $("#nav_logo,#nav_sidebar,main,.LastUpdateTime").css("cssText", "");
        });

        //畫面過小，強制結束放大功能
        $(window).resize(function() {
            if ($(window).width() < 750) {
                $("#btn_zoom_out").click();
            }
        });
    </script>
    <?php echo $__env->yieldContent('script'); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\yherp\resources\views/layouts/base.blade.php ENDPATH**/ ?>